import 'package:hmg_patient_app/core/model/pharmacies/Addresses.dart';
import 'package:hmg_patient_app/widgets/buttons/custom_text_button.dart';
import 'package:hmg_patient_app/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/material.dart';

class AddressSelectPageTest extends StatelessWidget {
  final List<Addresses> addresses;

  AddressSelectPageTest(this.addresses);

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      title: "test",
      isShowAppBar: true,
      isShowDecPage: false,
      body: Column(
        children: [
          Container(
            child: CustomTextButton(
              onPressed: () => {Navigator.pop(context, addresses[0])},
              child: new Text(
                "Set address",
                style: new TextStyle(color: Colors.white, fontSize: 14),
              ),
              elevation: 0,
              backgroundColor: Colors.blueAccent,
              disabledForegroundColor: Colors.blueAccent.withOpacity(0.38),
              disabledBackgroundColor: Colors.blueAccent.withOpacity(0.12),
            ),
          ),
        ],
      ),
    );
  }
}
